<refentry id="textdata.element" revision='4.2'>
<?dbhtml filename="textdata.html"?>
<refentryinfo>
<pubdate>$Date: 2004-02-23 22:25:58 +0800 (Mon, 23 Feb 2004) $</pubdate>
<releaseinfo>$Revision: 3457 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>textdata</secondary></indexterm>
<refentrytitle>textdata</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>textdata</refname>
<refpurpose>&textdata.purpose;</refpurpose>
</refnamediv>

&textdata.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>This element points to an external entity containing text
to be inserted.
</para>

<note>
<para>Any markup in the text identified with <sgmltag>textdata</sgmltag>
will be escaped. In other words, this element is for inserting things
like program listings, not parts of an XML document. To break a document
into separate physical files, use entities.</para>
</note>

<refsect2 id="dbreproc.textdata"><title>Processing expectations</title>
<para>
&format.context; Insert the text.
</para>
<para>
There are two ways to provide content for <sgmltag>textdata</sgmltag>:
<sgmltag class='attribute'>entityref</sgmltag> or <sgmltag
class='attribute'>fileref</sgmltag>.  It is best to use only one of these
methods, however, if multiple sources are provided, 
<sgmltag class='attribute'>entityref</sgmltag> will be used in favor of 
<sgmltag class='attribute'>fileref</sgmltag>.
</para>
</refsect2> 

&textdata.parents.gen;

</refsect1>

<refsect1 condition='ref.elem.attrdesc'><title>Attributes</title>
<variablelist>
<varlistentry><term>encoding</term>
<listitem>
<para>Identifies the encoding of the text in the external file.
Recommended best practice suggests that character encodings
<ulink url="ftp://ftp.isi.edu/in-notes/iana/assignments/character-sets">registered
(as charsets)</ulink> with the Internet Assigned Numbers Authority
be referred to using their registered names.</para>
</listitem>
</varlistentry>
<varlistentry><term>entityref</term>
<listitem>
<para><sgmltag class="attribute">EntityRef</sgmltag> identifies the general entity
which contains (or points to) the external text.
</para>
</listitem>
</varlistentry>
<varlistentry><term>fileref</term>
<listitem>
<para><sgmltag class="attribute">FileRef</sgmltag> specifies the name of the file
which contains the external text.
</para>
</listitem>
</varlistentry>
<varlistentry><term>format</term>
<listitem>
<para><sgmltag class="attribute">Format</sgmltag> identifies the format of the
external text. The <sgmltag class="attribute">Format</sgmltag> must be a defined
notation.
</para>
</listitem>
</varlistentry>
<varlistentry><term>srccredit</term>
<listitem>
<para><sgmltag class="attribute">SrcCredit</sgmltag> contains details about the source 
of the external text.
</para>
</listitem>
</varlistentry>
</variablelist>
</refsect1>
</refentry>

